Documentation

Company Search Endpoint

Search companies by name and get their domain, industry, size, and location.

GET
/v3/company/search

Authorization

BearerAuth
AuthorizationBearer <token>

Enrich Layer API key, sent as Authorization: Bearer <key>

In: header

Query Parameters

q*string

Company name to search for

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.enrichlayer.com/v3/company/search?q=string"
[
  {
    "companyName": "string",
    "logoUrl": "string",
    "domain": {
      "resolved": "string",
      "original": "string"
    },
    "industry": "string",
    "employeeCount": 0,
    "location": "string",
    "linkedinUrl": "string"
  }
]
{
  "code": 400,
  "name": "Bad Request",
  "description": "Provide q"
}
{
  "code": 401,
  "name": "Unauthorized",
  "description": "Invalid API key"
}

{
  "code": 403,
  "name": "Forbidden",
  "description": "Account has been suspended. Please email [email protected] for more information."
}

{
  "code": 429,
  "name": "Too Many Requests",
  "description": "Rate limit exceeded. See https://enrichlayer.com/docs/guides/rate-limits"
}
{
  "code": 500,
  "name": "Internal Server Error",
  "description": "Failed to fetch data"
}
{
  "code": 503,
  "name": "Service Unavailable",
  "description": "Billing service unavailable"
}